<?php declare(strict_types=1);

namespace App\Form;

use App\Entity\Film;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class FilmType extends AbstractType
{
	/**
	 * {@inheritdoc}
	 */
	public function buildForm(FormBuilderInterface $builder, array $options): void
	{
		$builder->add('brand')
			->add('productLine')
			->add('filmName')
			->add('filmAlias')
			->add('filmSpeedAsa')
			->add('filmSpeedDin')
			->add('filmFormat')
			->add('filmBase')
			->add('unusedRolls')
			->add('rollsInCamera')
			->add('developedRolls')
			->add('chemistry')
			->add('notes');
	}

	/**
	 * {@inheritdoc}
	 */
	public function configureOptions(OptionsResolver $resolver): void
	{
		$resolver->setDefaults(array(
			'data_class' => Film::class
		));
	}

	/**
	 * {@inheritdoc}
	 */
	public function getBlockPrefix(): string
	{
		return 'camerabundle_film';
	}
}
