<?php declare(strict_types=1);

namespace App\Form;

use Symfony\Component\Form\{AbstractType, FormBuilderInterface};
use Symfony\Component\OptionsResolver\Exception\AccessException;
use Symfony\Component\OptionsResolver\OptionsResolver;

use App\Entity\PreviouslyOwnedCamera;

class PreviouslyOwnedCameraType extends AbstractType
{
	/**
	 * {@inheritdoc}
	 */
	public function buildForm(FormBuilderInterface $builder, array $options): void
	{
		$builder->add('brand')
			->add('mount')
			->add('model')
			->add('isDigital')
			->add('cropFactor')
			->add('isWorking')
			->add('notes')
			->add('serial')
			->add('formerlyOwned')
			->add('purchasePrice')
			->add('batteryType')
			->add('filmFormat')
			->add('received')
			->add('type');
	}

	/**
	 * {@inheritdoc}
	 * @throws AccessException
	 */
	public function configureOptions(OptionsResolver $resolver): void
	{
		$resolver->setDefaults(array(
			'data_class' => PreviouslyOwnedCamera::class
		));
	}

	/**
	 * {@inheritdoc}
	 */
	public function getBlockPrefix(): string
	{
		return 'camerabundle_previouslyownedcamera';
	}
}
